Quantcast

[Mayan EDMS: 1530] Error migrating from folders to cabinets on 2.2b1

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1530] Error migrating from folders to cabinets on 2.2b1

Victor Zele
I am trying to switch from folders to cabinets on the 2.2 beta1 release.

When running the migrate command I see the errors below.

regards,
Victor

(mayan-edms) root@sjc1-mayan01:/usr/share/mayan-edms# mayan-edms.py migrate        
Traceback (most recent call last):
  File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 367, in execute_from_command_line
    utility.execute()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 341, in execute
    django.setup()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/config.py", line 116, in create
    mod = import_module(mod_path)
  File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/apps.py", line 14, in <module>
    from .compat import MAYAN_VERSION
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b1'

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1531] Re: Error migrating from folders to cabinets on 2.2b1

rosarior
Administrator
The cabinets app has a compatibility layer to allow it to work with the 2.1 and 2.2 releases. The version parser of the that layer doesn't expect a 'b' in the version number.
This will no be necesary once beta 2 is released since it includes the cabinets app already (https://gitlab.com/mayan-edms/mayan-edms/tree/development/mayan/apps/cabinets).
Working beta 2 right now, hope to release it today.

On Tuesday, March 14, 2017 at 5:16:34 PM UTC-4, Victor Zele wrote:
I am trying to switch from folders to cabinets on the 2.2 beta1 release.

When running the migrate command I see the errors below.

regards,
Victor

(mayan-edms) root@sjc1-mayan01:/usr/share/mayan-edms# mayan-edms.py migrate        
Traceback (most recent call last):
  File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 367, in execute_from_command_line
    utility.execute()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 341, in execute
    django.setup()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/config.py", line 116, in create
    mod = import_module(mod_path)
  File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/apps.py", line 14, in <module>
    from .compat import MAYAN_VERSION
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b1'

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1532] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
OK - will wait.  I was messing around with 'strip' to remove the b in the version string...

On Tuesday, March 14, 2017 at 2:28:24 PM UTC-7, Roberto Rosario wrote:
The cabinets app has a compatibility layer to allow it to work with the 2.1 and 2.2 releases. The version parser of the that layer doesn't expect a 'b' in the version number.
This will no be necesary once beta 2 is released since it includes the cabinets app already (<a href="https://gitlab.com/mayan-edms/mayan-edms/tree/development/mayan/apps/cabinets" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Ftree%2Fdevelopment%2Fmayan%2Fapps%2Fcabinets\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFESzxJOjvqiwJBgPCFTy10gge2SA&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgitlab.com%2Fmayan-edms%2Fmayan-edms%2Ftree%2Fdevelopment%2Fmayan%2Fapps%2Fcabinets\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFESzxJOjvqiwJBgPCFTy10gge2SA&#39;;return true;">https://gitlab.com/mayan-edms/mayan-edms/tree/development/mayan/apps/cabinets).
Working beta 2 right now, hope to release it today.

On Tuesday, March 14, 2017 at 5:16:34 PM UTC-4, Victor Zele wrote:
I am trying to switch from folders to cabinets on the 2.2 beta1 release.

When running the migrate command I see the errors below.

regards,
Victor

(mayan-edms) root@sjc1-mayan01:/usr/share/mayan-edms# mayan-edms.py migrate        
Traceback (most recent call last):
  File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 367, in execute_from_command_line
    utility.execute()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 341, in execute
    django.setup()
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/apps/config.py", line 116, in create
    mod = import_module(mod_path)
  File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/apps.py", line 14, in <module>
    from .compat import MAYAN_VERSION
  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b1'

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1533] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
Beta2 seems to have the same issue with MAYAN_VERSION having the 'b'.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b2'

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1534] Re: Error migrating from folders to cabinets on 2.2b1

rosarior
Administrator
Beta2 is out, give it a try. Remove "cabinets" from INSTALLED_APPS because it is now built-in.

On Tuesday, March 14, 2017 at 6:03:27 PM UTC-4, Victor Zele wrote:
Beta2 seems to have the same issue with MAYAN_VERSION having the 'b'.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b2'

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1534] Re: Error migrating from folders to cabinets on 2.2b1

rosarior
Administrator
Use:

pip install mayan-edms==2.2b2

On Tuesday, March 14, 2017 at 6:06:05 PM UTC-4, Roberto Rosario wrote:
Beta2 is out, give it a try. Remove "cabinets" from INSTALLED_APPS because it is now built-in.

On Tuesday, March 14, 2017 at 6:03:27 PM UTC-4, Victor Zele wrote:
Beta2 seems to have the same issue with MAYAN_VERSION having the 'b'.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b2'

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1535] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
In reply to this post by rosarior
I can't run the performupgrade or collectstatic steps and get the same error with the MAYAN_VERSION split error.

Victor

On Tuesday, March 14, 2017 at 3:06:05 PM UTC-7, Roberto Rosario wrote:
Beta2 is out, give it a try. Remove "cabinets" from INSTALLED_APPS because it is now built-in.

On Tuesday, March 14, 2017 at 6:03:27 PM UTC-4, Victor Zele wrote:
Beta2 seems to have the same issue with MAYAN_VERSION having the 'b'.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b2'

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1537] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
I was able to run the update after changing the mayan version check as follows,

my_string = mayan.__version__.replace("b",".")
MAYAN_VERSION = tuple(map(int, my_string.split('.')))

Now I see a Cabinets menu, but also the Folders menu still exists (with my old Folders) and no way to migrate or setup any Cabinets???

thanks,
Victor

On Tuesday, March 14, 2017 at 3:08:32 PM UTC-7, Victor Zele wrote:
I can't run the performupgrade or collectstatic steps and get the same error with the MAYAN_VERSION split error.

Victor

On Tuesday, March 14, 2017 at 3:06:05 PM UTC-7, Roberto Rosario wrote:
Beta2 is out, give it a try. Remove "cabinets" from INSTALLED_APPS because it is now built-in.

On Tuesday, March 14, 2017 at 6:03:27 PM UTC-4, Victor Zele wrote:
Beta2 seems to have the same issue with MAYAN_VERSION having the 'b'.


  File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/cabinets/compat/__init__.py", line 5, in <module>
    MAYAN_VERSION = tuple(map(int, mayan.__version__.split('.')))
ValueError: invalid literal for int() with base 10: '2b2'

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1538] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
Roberto - not sure if I need to run the migration script to fix my folder/cabinet problem, but below is what I get as output so not sure what to do.

thanks.


mayan-worker: started
(mayan-edms) root@sjc1-mayan01:/usr/share/mayan-edms# mayan-edms.py migrate        
Operations to perform:
  Apply all migrations: acls, actstream, admin, auth, authtoken, autoadmin, cabinets, checkouts, common, contenttypes, converter, django_gpg, djcelery, document_comments, document_indexing, document_signatures, document_states, documents, dynamic_search, events, folders, linking, lock_manager, mailer, metadata, motd, ocr, permissions, sessions, sites, sources, statistics, tags
Running migrations:
  No migrations to apply.
  Your models have changes that are not yet reflected in a migration, and so won't be applied.
  Run 'manage.py makemigrations' to make new migrations, and then re-run 'manage.py migrate' to apply them.
The following content types are stale and need to be deleted:

    document_signatures | documentversionsignature

Any objects related to these content types by a foreign key will also
be deleted. Are you sure you want to delete these content types?
If you're unsure, answer 'no'.

    Type 'yes' to continue, or 'no' to cancel: no
The following content types are stale and need to be deleted:

    documents | newversionblock

Any objects related to these content types by a foreign key will also
be deleted. Are you sure you want to delete these content types?
If you're unsure, answer 'no'.

    Type 'yes' to continue, or 'no' to cancel: no


CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Mayan EDMS: 1539] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
Figured this one out.  Its a permissions issue, needed to grant myself all the new cabinet permissions to be able to do/see anything.

Now have another follow-up issue, the red 'Actions" button/menu keeps disappearing so I cannot select any actions on cabinets, etc.

thanks,
Victor

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mayan EDMS: 1539] Re: Error migrating from folders to cabinets on 2.2b1

rosarior
Administrator
You need to uninstall mayan-cabinets, this app is already included in beta 2 and these may be import errors. If you used the stand alone mayan-cabinets app before there is no need to run migration as the migration of the stand alone mayan-cabinets and the new built in cabinets app are the same. 

On Mar 16, 2017 12:31 PM, "Victor Zele" <[hidden email]> wrote:
Figured this one out.  Its a permissions issue, needed to grant myself all the new cabinet permissions to be able to do/see anything.

Now have another follow-up issue, the red 'Actions" button/menu keeps disappearing so I cannot select any actions on cabinets, etc.

thanks,
Victor

CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mayan EDMS: 1541] Re: Error migrating from folders to cabinets on 2.2b1

Victor Zele
Yes - I also uninstalled the cabinets package.  but still Actions button disappears.   If I view source, its showing in the source but button is invisible. 
Attached source page if it helps.






CONFIDENTIALITY NOTICE: 

This transmission may contain information which is Vimo, Inc. (DBA Getinsured) confidential and/or legally privileged. The information is intended only for the use of the individual or entity named on this transmission. If you are not the intended recipient, you are hereby notified that any disclosure, copying, or distribution of the contents of this transmission is strictly prohibited. If you have received this transmission in error, please immediately notify me by return e-mail and destroy all copies of the original message.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.

mayan-cab-src-action-menu-missing.txt (11K) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mayan EDMS: 1553] Re: Error migrating from folders to cabinets on 2.2b1

rosarior
Administrator
Ran into similar problem in one installation. The fix is to remove the "mayan-cabinets" app completly using:

pip uninstall mayan-cabinets

Otherwise when Mayan initialized it could be importing the standalone "mayan-cabinets" app and no the built in
"cabinets" app.

On Thursday, March 16, 2017 at 1:03:31 PM UTC-4, Victor Zele wrote:
Yes - I also uninstalled the cabinets package.  but still Actions button disappears.   If I view source, its showing in the source but button is invisible. 
Attached source page if it helps.





--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Loading...